summaryrefslogtreecommitdiff
path: root/.manylinux-install.sh
diff options
context:
space:
mode:
Diffstat (limited to '.manylinux-install.sh')
-rwxr-xr-x.manylinux-install.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/.manylinux-install.sh b/.manylinux-install.sh
new file mode 100755
index 0000000..e9daeac
--- /dev/null
+++ b/.manylinux-install.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+
+set -e -x
+
+# Compile wheels
+for PYBIN in /opt/python/*/bin; do
+ if [[ "${PYBIN}" == *"cp27"* ]] || \
+ [[ "${PYBIN}" == *"cp35"* ]] || \
+ [[ "${PYBIN}" == *"cp36"* ]] || \
+ [[ "${PYBIN}" == *"cp37"* ]] || \
+ [[ "${PYBIN}" == *"cp38"* ]]; then
+ "${PYBIN}/pip" install -e /io/
+ "${PYBIN}/pip" wheel /io/ -w wheelhouse/
+ rm -rf /io/build /io/*.egg-info
+ fi
+done
+
+# Bundle external shared libraries into the wheels
+for whl in wheelhouse/zope.i18nmessageid*.whl; do
+ auditwheel repair "$whl" -w /io/wheelhouse/
+done